#include P16F917.inc

	extern  rand_seed, rand_get, delay1s
	extern 	rand_seed_1, rand_seed_2
	extern 	rand_seed_3, rand_seed_4
	extern  clocks_high, clocks_low
	extern  clocksPerMs
	
	
RESET	CODE 0x00
	
	goto	main
	
	
	CODE
	
main	
	; Setup PORTD ouputs
	bcf		STATUS,RP0
	bcf		STATUS,RP1
	clrf	PORTD
	bsf		STATUS,RP0
	clrf	TRISD
	bcf		STATUS,RP0
	
	; Initialise the delay routines
	; Tell them that our clock is 8MHz, ie 2000 (0x7D0)
	; instruction clocks per millisecond
	
	movlw	0x07
	movwf	clocks_high
	movlw	0xD0
	movwf	clocks_low
	call	clocksPerMs
	
	; Seed random generator with, well, a random number
	movlw	0x34
	movwf	rand_seed_1
	movlw	0xA6
	movwf	rand_seed_2
	movlw	0xF1
	movwf	rand_seed_3
	movlw	0x90
	movwf	rand_seed_4

	call	rand_seed
	
loop
	; Get random value
	call	rand_get
	
	; output value
	movwf	PORTD
	
	; delay 1s
	call	delay1s

	goto	loop

	END
	